
package com.stmatthews.hospital.appointments.TYPES;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="appointmentIdentifier" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="timeOfArrival" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
 *         &lt;element name="patientIdentifier" type="{http://www.w3.org/2001/XMLSchema}integer"/>
 *         &lt;element name="comments" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "appointmentIdentifier",
    "timeOfArrival",
    "patientIdentifier",
    "comments"
})
@XmlRootElement(name = "PatientArrivalForAppointmentRequest")
public class PatientArrivalForAppointmentRequest {

    @XmlElement(required = true)
    protected String appointmentIdentifier;
    @XmlElement(required = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar timeOfArrival;
    @XmlElement(required = true)
    protected BigInteger patientIdentifier;
    @XmlElement(required = true)
    protected String comments;

    /**
     * Gets the value of the appointmentIdentifier property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAppointmentIdentifier() {
        return appointmentIdentifier;
    }

    /**
     * Sets the value of the appointmentIdentifier property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAppointmentIdentifier(String value) {
        this.appointmentIdentifier = value;
    }

    /**
     * Gets the value of the timeOfArrival property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getTimeOfArrival() {
        return timeOfArrival;
    }

    /**
     * Sets the value of the timeOfArrival property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setTimeOfArrival(XMLGregorianCalendar value) {
        this.timeOfArrival = value;
    }

    /**
     * Gets the value of the patientIdentifier property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getPatientIdentifier() {
        return patientIdentifier;
    }

    /**
     * Sets the value of the patientIdentifier property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setPatientIdentifier(BigInteger value) {
        this.patientIdentifier = value;
    }

    /**
     * Gets the value of the comments property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getComments() {
        return comments;
    }

    /**
     * Sets the value of the comments property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setComments(String value) {
        this.comments = value;
    }

}
