
package com.stmatthews.hospital.appointments.TYPES;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for appointmentRequestHeader complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="appointmentRequestHeader">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="doctorId" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="typeOfAppointment" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="priorityCode" type="{http://www.w3.org/2001/XMLSchema}integer"/>
 *         &lt;element name="labTestsToRun" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "appointmentRequestHeader", propOrder = {
    "doctorId",
    "typeOfAppointment",
    "priorityCode",
    "labTestsToRun"
})
public class AppointmentRequestHeader {

    @XmlElement(required = true)
    protected String doctorId;
    @XmlElement(required = true)
    protected String typeOfAppointment;
    @XmlElement(required = true)
    protected BigInteger priorityCode;
    @XmlElement(required = true)
    protected String labTestsToRun;

    /**
     * Gets the value of the doctorId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDoctorId() {
        return doctorId;
    }

    /**
     * Sets the value of the doctorId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDoctorId(String value) {
        this.doctorId = value;
    }

    /**
     * Gets the value of the typeOfAppointment property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTypeOfAppointment() {
        return typeOfAppointment;
    }

    /**
     * Sets the value of the typeOfAppointment property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTypeOfAppointment(String value) {
        this.typeOfAppointment = value;
    }

    /**
     * Gets the value of the priorityCode property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getPriorityCode() {
        return priorityCode;
    }

    /**
     * Sets the value of the priorityCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setPriorityCode(BigInteger value) {
        this.priorityCode = value;
    }

    /**
     * Gets the value of the labTestsToRun property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLabTestsToRun() {
        return labTestsToRun;
    }

    /**
     * Sets the value of the labTestsToRun property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLabTestsToRun(String value) {
        this.labTestsToRun = value;
    }

}
